> For the complete documentation index, see [llms.txt](https://docs.decisionrules.io/doc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decisionrules.io/doc/api/endpoints.md).

# Endpoint Settings

{% hint style="danger" %}
This section is for users who created an account before 06. April 2021
{% endhint %}

{% hint style="info" %}
The reason to change your endpoints is due to our name change to **DecisionRules.io**
{% endhint %}

{% hint style="warning" %}
Everything remains the same, just the name is different.

That means all the settings you already have are going to work, but we strongly recommend you to do the changes from below.
{% endhint %}

## Endpoints in API

The only thing you should do is to change the endpoint in your API.

The URL is in a format **<https://api.decisionrules.io/rule/solve/:ruleId/:version>** where you should replace ~~decisiondrig.io~~ with **decisionrules.io**

{% hint style="info" %}
If you're using the Regional Cloud version of DecisionRules, prepend the URL with your region shortcut.

Read more about Regional Cloud API calls [here](/doc/other-deployment-options/regional-cloud/region-specific-api-urls.md).
{% endhint %}

```http
URL
https://api.decisionrules.io/rule/solve/:ruleId/:version

Headers:
Content-Type: application/json
Authorization: Bearer DOZpz-h6xnOrKGIINlYvkd9hn41pRR3oG6cqH
```

## Angular library

If you are using our Angular library to connect [Decisionrules.io](https://decisionrules.io) from your web application \*\*\*\* [**npm package**](https://www.npmjs.com/package/@decisionrules/decisionrules) \*\*\*\* was changed as well.

{% hint style="danger" %}
The old[ **npm package**](https://www.npmjs.com/package/@decisionrules/decisionrules-js) \*\*\*\* will be still available, but no longer supported.

We recommend you download the new version from \*\*\*\* [**npm**](https://www.npmjs.com/package/@decisionrules/decisionrules) \*\*\*\* which will be supported.
{% endhint %}

{% hint style="info" %}
Please make sure your Angular settings are correct to have your application always up to date.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.decisionrules.io/doc/api/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
